This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121332 - CAN-2004-0233 utempter directory traversal symlink attack
CAN-2004-0233 utempter directory traversal symlink attack
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: utempter (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-20 11:47 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 03:45:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-04-20 11:47:49 EDT
Steve Grubb discovered a flaw in Utempter which allowed device names
containing directory traversal sequences such as '/../'.  In
combination with an application that trusts the utmp or wtmp files,
this could allow a local attacker the ability to overwrite privileged
files using a symlink.

         CAN-2004-0233 Affects: 3AS 3ES 3WS
         CAN-2004-0233 Affects: 2.1AS 2.1AW 2.1ES 2.1WS

Was made public on April 19th 2004
Comment 2 Mark J. Cox (Product Security) 2004-05-26 03:45:00 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-174.html

Note You need to log in before you can comment on or make changes to this bug.